<template>
  <view class="mine-container" :style="{height: `${windowHeight}px`}">
    <!--顶部个人信息栏-->
    <view class="header-section">
      <view class="flex padding justify-between">
        <view class="flex align-center">
          <view class="cu-avatar xl round bg-white">
            <view class="iconfont icon-people text-gray icon"></view>
          </view>
<!--          <image v-if="avatar" @click="handleToAvatar" :src="avatar" class="cu-avatar xl round" mode="widthFix">-->
<!--          </image>-->
          <view v-if="!name" @click="handleToLogin" class="login-tip">
            点击登录
          </view>
          <view v-if="name" class="user-info">
            <view class="u_title">
              {{ user.nickName }}
              <view>工号:{{user.userNo}}</view>
            </view>
          </view>
        </view>
      </view>
    </view>

    <view class="content-section">
<!--      <view class="mine-actions grid col-4 text-center">-->
<!--        <view class="action-item" @click="handleJiaoLiuQun">-->
<!--          <view class="iconfont icon-friendfill text-pink icon"></view>-->
<!--          <text class="text">交流群</text>-->
<!--        </view>-->
<!--        <view class="action-item" @click="handleBuilding">-->
<!--          <view class="iconfont icon-service text-blue icon"></view>-->
<!--          <text class="text">在线客服</text>-->
<!--        </view>-->
<!--        <view class="action-item" @click="handleBuilding">-->
<!--          <view class="iconfont icon-community text-mauve icon"></view>-->
<!--          <text class="text">反馈社区</text>-->
<!--        </view>-->
<!--        <view class="action-item" @click="handleBuilding">-->
<!--          <view class="iconfont icon-dianzan text-green icon"></view>-->
<!--          <text class="text">点赞我们</text>-->
<!--        </view>-->
<!--      </view>-->

      <view class="menu-list" v-if="user.userId != null">
        <view class="list-cell list-cell-arrow" v-if="isEmpty(user.wxOpenId)" @click="handleBindWx()">
          <view class="menu-item-box">
            <view class="iconfont icon-user menu-icon"></view>
            <view>绑定微信</view>
          </view>
        </view>
        <view class="list-cell list-cell-arrow" v-else @click="handleUnBindWx()">
          <view class="menu-item-box">
            <view class="iconfont icon-user menu-icon"></view>
            <view>解绑微信</view>
          </view>
        </view>
        <view class="list-cell list-cell-arrow" @click="handleLogout()">
          <view class="menu-item-box">
            <view class="iconfont icon-logout menu-icon"></view>
            <view>退出登录</view>
          </view>
        </view>
      </view>

    </view>
  </view>
</template>

<script>
  import {isEmpty} from "@/utils";
  import {unbindWx} from "@/api/system/user";

  export default {
    data() {
      return {
        name: this.$store.state.user.name,
        version: getApp().globalData.config.appInfo.version,
        user: {}
      }
    },
    computed: {
      avatar() {
        return this.$store.state.user.avatar
      },
      wxOpenId() {
        return this.$store.state.user.wxOpenId;
      },
      windowHeight() {
        return uni.getSystemInfoSync().windowHeight - 50
      },
    },
    onLoad(option) {
      this.getUserInfo();
    },
    methods: {
      // 获取当前登录用户信息
      getUserInfo() {
        this.$store.dispatch('GetInfo').then(res => {
          this.user = res.user;
        })
      },
      isEmpty,
      handleToLogin() {
        this.$tab.reLaunch('/pages/login')
      },
      handleToAvatar() {
        // this.$tab.navigateTo('/pages/mine/avatar/index')
      },
      handleBindWx() {
        this.$modal.confirm("确定绑定当前微信账号吗？").then(() => {
          this.$modal.loading("绑定中");
          this.$store.dispatch('BIND_WX').then(res => {
            if (res.code === 200) {
              this.$modal.msgSuccess("绑定成功");
              this.getUserInfo();
            }
          }).finally(() => {
            this.$modal.closeLoading();
          })
        })
      },
      handleUnBindWx() {
        this.$modal.confirm("确定解绑当前微信账号吗？解绑后将无法使用当前微信登录本账号。").then(() => {
          this.$modal.loading("解绑中");
          unbindWx().then(res => {
            if (res.code === 200) {
              this.$modal.msgSuccess("解绑成功");
              this.getUserInfo();
            }
          }).finally(() => {
            this.$modal.closeLoading();
          })
        })
      },
      handleLogout() {
        this.$modal.confirm('确定注销并退出系统吗？').then(() => {
          this.$store.dispatch('LogOut').then(() => {
            this.$tab.reLaunch('/pages/login')
          })
        })
      },
    }
  }
</script>

<style lang="scss">
  page {
    background-color: #f5f6f7;
  }

  .mine-container {
    width: 100%;
    height: 100%;


    .header-section {
      padding: 15px 15px 45px 15px;
      background-color: #3c96f3;
      color: white;

      .login-tip {
        font-size: 18px;
        margin-left: 10px;
      }

      .cu-avatar {
        border: 2px solid #eaeaea;

        .icon {
          font-size: 40px;
        }
      }

      .user-info {
        margin-left: 15px;

        .u_title {
          font-size: 18px;
          line-height: 30px;
        }
      }
    }

    .content-section {
      position: relative;
      top: -50px;

      .mine-actions {
        margin: 15px 15px;
        padding: 20px 0px;
        border-radius: 8px;
        background-color: white;

        .action-item {
          .icon {
            font-size: 28px;
          }

          .text {
            display: block;
            font-size: 13px;
            margin: 8px 0px;
          }
        }
      }
    }
  }
</style>
